Subject: [bug#69637] [PATCH mesa-updates v2 0/5] gnu: mesa: Update to 24.0.3.

From: aurtzy <[email-masked]>
Date: Fri, 22 Mar 2024 03:24:17 -0400

New patchset coming in.  Mesa has been updated to 24.0.3, and I've added TODO
comments for future work as suggested.

> I would like to get the build farm cranking on the updates I have
> queued for mesa-updates (cairo, libdrm, mesa, vulkan). We could also
> do just the version update of mesa to start, or just NVK on x86_64,
> leaving future changes for the next round. I don't have a preference
> myself, other than wanting to get this branch moving with these
> updates.

NVK on 24.0.3 is also still considered experimental, so if that's a concern we
could save this work for 24.1 when it's planned to move out of this stage.

> I also tried a couple of different options. The one that I most want
> involved using with-output-to-file to rewrite the wrap file and
> replacing all the fields. I borrowed the file-sha256 function from
> guix/build/cargo-utils.scm to get the source_hash.  In the end I wasn't
> able to get the gexp and un-gexp bits working to actually get the file
> written.
>
> When I kept a failed build I saw that the 'directory' field is the
> directory into which meson writes the meson.build file, which is why
> using a different version of the rust crate caused problems with
> src/lib.rs not existing.  I suppose we could start from your patch and
> then, after running substitute, extract the tarball into either a
> hardcoded path (determined after manually reading the sources) or we can
> extract the 'directory' field by reading the sources and then untar the
> source there.

Noted, thanks Efraim!  I'll keep looking into this.

Best,

aurtzy

aurtzy (5):
  gnu: Add meson-1.3.
  gnu: Add rust-syn-2.0.39.
  gnu: Add rust-proc-macro2-1.0.70.
  gnu: Add rust-quote-1.0.33.
  gnu: mesa: Update to 24.0.3.

 gnu/packages/build-tools.scm | 14 +++++++
 gnu/packages/crates-io.scm   | 42 +++++++++++++++++++
 gnu/packages/gl.scm          | 80 ++++++++++++++++++++++++++++--------
 3 files changed, 118 insertions(+), 18 deletions(-)

base-commit: 3d2966e0b7dbf15a5cb497037ace73d1be92febf
-- 
2.41.0